"use strict";
exports.__esModule = true;
exports.isGreaterThanOrEqualTo = void 0;
var is_number_1 = require("./is-number");
var curry2_1 = require("./lib/curry2");
/**
 * Asserts that ${value} is greater than or equal to ${otherNumber}.
 * @param otherNumber 5
 * @param value 10
 * @matcherName toBeGreaterThanOrEqualTo
 * @memberMatcherName toHaveGreaterThanOrEqualTo
 * @matcherMessage expected ${value} to be greater than or equal to
 * ${otherNumber}
 * @matcherNotMessage expected ${value} not to be greater than or equal to
 * ${otherNumber}
 */
exports.isGreaterThanOrEqualTo = curry2_1.curry2(function (otherNumber, value) {
    return is_number_1.isNumber(value) && is_number_1.isNumber(otherNumber) && value >= otherNumber;
});
