"use strict";
exports.__esModule = true;
exports.isShorterThan = void 0;
var curry2_1 = require("./lib/curry2");
var is_indexed_list_1 = require("./lib/is-indexed-list");
/**
 * Asserts that ${value} is a `String` or `Array` whose length is less than that
 * of ${otherStringOrArray}.
 * @param otherStringOrArray ['i', 'have', 4, 'items']
 * @param value ['i have one item']
 * @matcherName toBeShorterThan
 * @memberMatcherName toHaveShorterThan
 * @matcherMessage expected ${value} to be a string or array whose length is
 * less than that of ${otherStringOrArray}
 * @matcherNotMessage expected ${value} not to be a string or array whose length
 * is less than that of ${otherStringOrArray}
 */
exports.isShorterThan = curry2_1.curry2(function (otherStringOrArray, value) {
    return is_indexed_list_1.isIndexedList(value) &&
        is_indexed_list_1.isIndexedList(otherStringOrArray) &&
        value.length < otherStringOrArray.length;
});
